Bug 223486 - Review Request: happy - Haskell parser generator
Review Request: happy - Haskell parser generator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Jens Petersen
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 223490
  Show dependency treegraph
 
Reported: 2007-01-19 12:33 EST by Bryan O'Sullivan
Modified: 2010-10-05 09:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-18 01:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
happy.spec-1.patch (1.45 KB, patch)
2007-02-16 02:52 EST, Jens Petersen
no flags Details | Diff
happy.spec-2.patch (781 bytes, patch)
2007-03-26 03:17 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Bryan O'Sullivan 2007-01-19 12:33:09 EST
Spec URL: http://www.red-bean.com/~bos/happy.spec
SRPM URL: http://www.red-bean.com/~bos/happy-1.16-1.src.rpm
Description:

[This is my first Extras contribution, and I need a package sponsor.]

Happy is a parser generator system for Haskell, similar to the tool
`yacc' for C. Like `yacc', it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program), or it can parse a
stream of characters directly (but this isn't practical in most
cases).
Comment 1 Jens Petersen 2007-02-16 02:48:38 EST
Sorry for the slow review.  Here are some comments:

Rpmlint on the srpm gives:
W: happy redundant-prefix-tag

I think the dos2unix buildrequires can be dropped.

Otherwise it looks ok to me.
Comment 2 Jens Petersen 2007-02-16 02:52:23 EST
Created attachment 148175 [details]
happy.spec-1.patch

If you can update the package, then I will do a formal review. :)
Comment 3 Jens Petersen 2007-03-19 00:24:59 EDT
Ping :)
Comment 4 Bryan O'Sullivan 2007-03-26 00:04:16 EDT
Sorry for the delay.

Spec URL: http://www.red-bean.com/~bos/happy.spec
SRPM URL: http://www.red-bean.com/~bos/happy-1.16-2.src.rpm
Comment 5 Jens Petersen 2007-03-26 03:14:24 EDT
Here is the review:

Good:
+ package and spec file are well named
+ meets Packaging Guidelines
+ package is open source (BSD-like)
+ license fields matches license and license file included in %doc
+ spec file is legible and in English
+ package built on i386
+ buildrequires listed
+ no translations
+ no libs included
+ owns its directories
+ no duplicates in filelist
+ has %clean
+ consistent use of macros
+ packages contains code
+ documentation small enough to be main package
+ no runtime files in %doc
+ no devel files
+ does not own dirs or files owned by other packages
+ installs and runs ok

Need attention:

- md5sum does not match upstream tarball, please use that
b9fd2f5eba61974dab8e12873cadee6f  happy-1.16.tar.gz

- rpmlint on srpm:
W: happy strange-permission happy.spec 0600
- rpmlint from binary package
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/expr-eval/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/expr-tree/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/packing/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/bio-eg/Bio.y
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/expr-monad/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/bio-eg/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/hidden-leftrec/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/nlp/Makefile
W: happy wrong-file-end-of-line-encoding
/usr/share/doc/happy-1.16/examples/glr/highly-ambiguous/Makefile

Maybe worth addressing: not sure how useful the examples are to include.
They could also be dropped?

- missing disttag
Please suffix %{?dist} to the release field.

- description
Maybe remove "or it can parse a stream of characters directly (but this isn't
practical in most cases)"?
Comment 6 Jens Petersen 2007-03-26 03:17:54 EDT
Created attachment 150871 [details]
happy.spec-2.patch
Comment 7 Jens Petersen 2007-03-26 03:19:14 EDT
attached some minor additional suggested fixes
Comment 8 Bryan O'Sullivan 2007-03-26 20:06:13 EDT
Jens, I've incorporated all of your suggestions, and the source and binary
packages now both pass rpmlint completely cleanly.  Please see the new spec and
SRPM at the URLs in comment #4.
Comment 9 Jens Petersen 2007-03-26 22:36:19 EDT
Ok, thanks for the updated package.  (BTW in the future please bump the release
field, since that makes it easier for the reviewer to look at the changes.)

All points have been addressed, the package looks good to me.

Package is APPROVED.


Do you still need sponsorship?  I would be happy to sponsor you if you
can do at least one pre-review of a package waiting to be reviewed.  Have
you already applied for a fedora account?

Comment 10 Bryan O'Sullivan 2007-03-26 22:50:30 EDT
Thanks for the approval.

Yes, I still need sponsorship.  I'll point you at a pre-reviewed package in a
few hours.  I *just* applied for a Fedora account (username bos).
Comment 11 Bryan O'Sullivan 2007-03-26 23:19:23 EDT
For a package review, see
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=229728
Comment 12 Jens Petersen 2007-03-26 23:42:40 EDT
You need to follow http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
to do a complete review.  (When doing a pre-review - since you need to be
a Contributor to do formal reviews - it is good to comment in the bug
that it is a pre-review, so the submitter knows it is a pre-review.)
Sorry the process is still a bit involved, but this is because (currently)
every fedora contributor can review and approve new packages.
Comment 13 Jens Petersen 2007-03-26 23:50:22 EDT
Anyway your comments look ok so far: while your Fedora Account is being processed,
you can wait for the submitter to update the package.
Comment 14 Bryan O'Sullivan 2007-04-13 18:17:19 EDT
New Package CVS Request
=======================
Package Name: happy
Short Description: Haskell parser generator
Owners: bos@serpentine.com
Branches: FC-6
InitialCC: petersen@redhat.com
Comment 15 Jens Petersen 2007-04-14 08:23:44 EDT
done
Comment 16 Bryan O'Sullivan 2007-04-18 01:11:12 EDT
In devel now.
Comment 17 Jens Petersen 2010-10-05 00:36:49 EDT
Package Change Request
======================
Package Name: happy
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig
Comment 18 Jason Tibbitts 2010-10-05 09:32:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.